MainClassFinder (Grails 5.2.3)

Package: org.grails.io.support

## [Groovy] Class MainClassFinder

- org.grails.io.support.MainClassFinder

-     @groovy.transform.CompileStatic
      class MainClassFinder
      extends java.lang.Object

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `MainClassFinder.MainMethodFinder` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.util.Map<java.lang.String, java.lang.String>` | `mainClasses`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MainClassFinder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.String` | `findMainClass(java.io.File rootFolder)`
    `` | `protected static boolean` | `isMainClass(groovyjarjarasm.asm.ClassReader classReader)`
    `` | `static java.lang.String` | `searchMainClass(java.net.URI path)` Searches for the main class relative to the give path that is within the project tree

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final java.util.Map<java.lang.String, java.lang.String> mainClasses

  - ### Constructor Detail

    - #### MainClassFinder()

  - ### Method Detail

    - #### static java.lang.String findMainClass(java.io.File rootFolder)

    - #### protected static boolean isMainClass(groovyjarjarasm.asm.ClassReader classReader)

    - #### static java.lang.String searchMainClass(java.net.URI path)

      Searches for the main class relative to the give path that is within the project tree

      Parameters:
        `path` - The path as a URI
      Returns:
        The name of the main class